// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet.tabbed;

import org.apache.log4j.Logger;
import org.eclipse.ui.views.properties.tabbed.AbstractTypeMapper;

import eu.etaxonomy.taxeditor.editor.name.TaxonNameEditor;

/**
 * @author n.hoffmann
 * @created 05.06.2009
 * @version 1.0
 */
public class TaxonTypeMapper extends AbstractTypeMapper {
	private static final Logger logger = Logger
			.getLogger(TaxonTypeMapper.class);

	/* (non-Javadoc)
	 * @see org.eclipse.ui.views.properties.tabbed.ITypeMapper#mapType(java.lang.Object)
	 */
	public Class mapType(Object object) {
		if(object instanceof TaxonNameEditor){
			return ((TaxonNameEditor)object).getTaxon().getClass();
		}
		return super.mapType(object);
	}
}
