/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.descriptiontree.detailpage;

import org.apache.log4j.Logger;
import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

/**
 * @author p.ciardelli
 *
 */
public class DistributionDetailsPage extends AbstractDescriptionDetailsPage {
	private static final Logger logger = Logger.getLogger(DistributionDetailsPage.class);

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptiontree.detailpage.AbstractDescriptionDetailsPage#configurePage()
	 */
	@Override
	void configurePage() {
		setHasCitations(true);
	}
	
	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.editor.descriptiontree.detailpage.AbstractDescriptionDetailsPage#createDescriptionContents(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	protected void createDescriptionContents(Composite parent) {
		descriptionSection = new DistributionDetailSection(parent, this, SWT.WRAP);
		toolkit.adapt(descriptionSection);
	}


}
