/**
 * 
 */
package eu.etaxonomy.taxeditor.forms;

import org.eclipse.jface.util.IPropertyChangeListener;
import org.eclipse.jface.util.PropertyChangeEvent;

/**
 * @author nho
 *
 */
public interface IPropertyChangeEmitter {

	public void addPropertyChangeListener(IPropertyChangeListener listener);
	
	public void removePropertyChangeListener(IPropertyChangeListener listener);
	
	/**
	 * Notify registeres listeners of changed properties
	 */
	public void firePropertyChangeEvent(PropertyChangeEvent event);
}
