/**
 * 
 */
package eu.etaxonomy.taxeditor.propertysheet.authors;

import java.util.Collection;

import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.taxeditor.propertysheet.CollectionPropertySource;

/**
 * @author p.ciardelli
 *
 */
public class TeamAuthorsListPropertySource extends CollectionPropertySource {

	/**
	 * @param collection
	 */
	public TeamAuthorsListPropertySource(Collection<?> collection) {
		super(collection);
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.propertysheet.CollectionPropertySource#getItemDisplayName(java.lang.Object)
	 */
	@Override
	protected String getItemDisplayName(Object item) {
		return "";
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.propertysheet.CollectionPropertySource#getPropertyValue(java.lang.Object)
	 */
	@Override
	public Object getPropertyValue(Object id) {
		if (id instanceof Person) {
			return ((Person) id).getTitleCache();
		}
		return null;
	}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.propertysheet.CollectionPropertySource#setPropertyValue(java.lang.Object, java.lang.Object)
	 */
	@Override
	public void setPropertyValue(Object id, Object value) {}

	/* (non-Javadoc)
	 * @see eu.etaxonomy.taxeditor.propertysheet.CollectionPropertySource#toString()
	 */
	@Override
	public String toString() {
		return "";
	}
}
