// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.preference.menu;

import java.util.Set;

import org.apache.log4j.Logger;

import eu.etaxonomy.cdm.model.common.MarkerType;
import eu.etaxonomy.taxeditor.store.VocabularyStore;

/**
 * @author n.hoffmann
 * @created Aug 28, 2009
 * @version 1.0
 */
public class MarkerTypeMenuPreferences extends AbstractMenuPreferences<MarkerType>{


	private static final Logger logger = Logger
			.getLogger(MarkerTypeMenuPreferences.class);
	
	/**
	 * @param initialVocabulary
	 * @param title
	 * @param description
	 */
	public MarkerTypeMenuPreferences() {
		super(VocabularyStore.getNonTechnicalMarkerTypes(), 
				"Marker Type Preferences" , 
				"Choose which markers to display",
				false);
	}
}
